Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SystemObject

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieSystemObject

    public class SystemObject

extends TieLibraryObject
implements SystemObjectInterface

The SystemObject is the superclass for all system-wide utility classes. SystemObjects, like SchemaObjects, can be seen by anyone but can only be manipulated by a user with administrative privileges. Examples of SystemObjects are Format and Relationship.

See Also:
  `SystemCategory`
(Published)

Field Summary
`static java.lang.String` | `ACTIVE_ATTRIBUTE` The status of the SystemObject.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `POLICYBUNDLE_ATTRIBUTE` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`static java.lang.String` | `POLICYLISTS_ATTRIBUTE` The set of PolicyLists explicitly applied to this object.
`static java.lang.String` | `PROPERTYBUNDLE_ATTRIBUTE` A PropertyBundle associated with the SystemObject.

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session, NAME_ATTRIBUTE`

Constructor Summary
`protected` | `SystemObject(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a SystemObject object - standard variant.

Method Summary
`SystemCategory` | `addCategory(SystemCategoryDefinition catdef)` Adds a SystemCategory associated with this SystemObject
`protected static SystemObject` | `constructSystemObject(LibrarySession sess, S_LibraryObjectData data)` return SystemObject from a S_LOData.
`protected static java.util.Vector` | `constructSystemObjectVector(LibrarySession sess, java.util.Vector vector)` Return SystemObject Vector from a Vector of SystemObject
`void` | `free(LibraryObjectDefinition def)` Permanently removes this object from the repository, with options.
`protected void` | `freeCategories()` Free all existing categories.
`SystemCategory[]` | `getCategories()` Returns an array of Systemcategories for this systemObject.
`SystemCategory[]` | `getCategories(ClassObject classobj)` Returns the associated SystemCategory objects that are instances of the ClassObject (or one of its subclasses) specified.
`SystemCategory[]` | `getCategories(ClassObject classobj, SortSpecification sort)` Returns the associated SystemCategory objects that are instances of the specified class or a subclass of the specified class.
`SystemCategory[]` | `getCategories(SortSpecification sort)` Returns the associated SystemCategory objects.
`PolicyPropertyBundle` | `getPolicyBundle()` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`PolicyList[]` | `getPolicyLists()` Gets the PolicyLists for this object.
`protected SystemObject` | `handleCreate(LibraryObjectDefinition lodef)` Handle the low-level creation of the SystemObject
`boolean` | `isActive()` Gets the Active status.
`protected void` | `postCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions after the creation of a SystemObject.
`protected void` | `postUpdate(LibraryObjectDefinition lodef)` Extensibility point to perform actions after the update of a SystemObject.
`protected void` | `preCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the creation of a PublicObject.
`protected void` | `preUpdate(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the update of a PublicObject.
`void` | `putPolicy(Policy policy)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `removeAllPolicies()` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `removePolicy(Policy policy)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `removePolicy(java.lang.String opname)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `setActive(boolean active)` Sets the ACTIVE attribute for this object.
`void` | `setPolicyBundle(PolicyPropertyBundle bundle)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `setPolicyLists(PolicyList[] policyLists)` Sets the PolicyLists for this object.

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, hasNameAttribute, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `SystemObject`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### POLICYLISTS_ATTRIBUTE

    public static final java.lang.String POLICYLISTS_ATTRIBUTE

  Description copied from class: `SystemObject`
  The set of PolicyLists explicitly applied to this object.

  See Also:
    Constant Field Values
  (Published)

### POLICYBUNDLE_ATTRIBUTE

    public static final java.lang.String POLICYBUNDLE_ATTRIBUTE

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
  Description copied from class: `SystemObject`
  A PolicyBundle associated with the SystemObject.

  See Also:
    Constant Field Values
  (Published)

### ACTIVE_ATTRIBUTE

    public static final java.lang.String ACTIVE_ATTRIBUTE

  Description copied from class: `SystemObject`
  The status of the SystemObject.

  See Also:
    Constant Field Values
  (Published)

### PROPERTYBUNDLE_ATTRIBUTE

    public static final java.lang.String PROPERTYBUNDLE_ATTRIBUTE

  Description copied from class: `SystemObject`
  A PropertyBundle associated with the SystemObject.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### SystemObject

    protected SystemObject(LibrarySession session,
                           java.lang.Long id,
                           java.lang.Long classId,
                           S_LibraryObjectData data)
                    throws IfsException

  Construct a SystemObject object - standard variant.

  Parameters:
    `session` - current LibSession
    `id` - object ID
    `classId` - object class ID
    `data` - object data
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Method Detail

### preCreate

    protected void preCreate(LibraryObjectDefinition lodef)
                      throws IfsException

  Description copied from class: `SystemObject`
  Extensibility point to perform actions prior to the creation of a PublicObject.

  Set an option that indicates that Categories are NOT to be created from within S_SystemObject.

  Overrides:
    `preCreate` in class `LibraryObject`
  Parameters:
    `lodef` - object definition that will be used to create the object
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### handleCreate

    protected SystemObject handleCreate(LibraryObjectDefinition lodef)
                                 throws IfsException

  Description copied from class: `SystemObject`
  Handle the low-level creation of the SystemObject

  Parameters:
    `lodef` - definition that will be used to create the object
  Returns:
    the object created (typically the target object)
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### postCreate

    protected void postCreate(LibraryObjectDefinition lodef)
                       throws IfsException

  Description copied from class: `SystemObject`
  Extensibility point to perform actions after the creation of a SystemObject.

  This assumes that a transaction context has already been established.

  Overrides:
    `postCreate` in class `LibraryObject`
  Parameters:
    `lodef` - object definition that was used to create the object
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### preUpdate

    protected void preUpdate(LibraryObjectDefinition lodef)
                      throws IfsException

  Description copied from class: `SystemObject`
  Extensibility point to perform actions prior to the update of a PublicObject.

  Set an option that indicates that Categories are NOT to be created from within S_SystemObject.

  Overrides:
    `preUpdate` in class `LibraryObject`
  Parameters:
    `lodef` - definition used to define how the target object will be updated
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### postUpdate

    protected void postUpdate(LibraryObjectDefinition lodef)
                       throws IfsException

  Description copied from class: `SystemObject`
  Extensibility point to perform actions after the update of a SystemObject.

  Create any categories that are specified in the definition.

  Overrides:
    `postUpdate` in class `LibraryObject`
  Parameters:
    `lodef` - object definition used to define how the target object was updated
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### free

    public void free(LibraryObjectDefinition def)
              throws IfsException

  Description copied from class: `SystemObject`
  Permanently removes this object from the repository, with options.

  If a null definition is specified, a default definition is used.

  Overrides:
    `free` in class `LibraryObject`
  Parameters:
    `def` - Context for the free operation
  Throws:
    `IfsException` - if operation fails
  (Published)

### setActive

    public void setActive(boolean active)
                   throws IfsException

  Description copied from class: `SystemObject`
  Sets the ACTIVE attribute for this object. This toggles between an active and inactive status for the object.

  Parameters:
    `active` - the new Active status value
  Throws:
    `IfsException` - if operation fails
  (Published)

### isActive

    public boolean isActive()
                     throws IfsException

  Description copied from class: `SystemObject`
  Gets the Active status. Return false if no attribute can be retrieved.

  Returns:
    the status for this object
  Throws:
    `IfsException` - if operation fails
  (Published)

### setPolicyLists

    public void setPolicyLists(PolicyList[] policyLists)
                        throws IfsException

  Description copied from class: `SystemObject`
  Sets the PolicyLists for this object.

  Parameters:
    `policyLists` - the PolicyList objects to apply
  Throws:
    `IfsException` - if operation fails
  (Published)

### getPolicyLists

    public PolicyList[] getPolicyLists()
                                throws IfsException

  Description copied from class: `SystemObject`
  Gets the PolicyLists for this object.

  Returns:
    the set of PolicyLists
  Throws:
    `IfsException` - if operation fails
  (Published)

### setPolicyBundle

    public void setPolicyBundle(PolicyPropertyBundle bundle)
                         throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SystemObject`
  Sets the POLICYBUNDLE attribute to a PropertyBundle for this object, for the managing of per-instance Policies.

  Parameters:
    `bundle` - the PolicyBundle setting
  Throws:
    `IfsException` - if operation fails
  (Published)

### getPolicyBundle

    public PolicyPropertyBundle getPolicyBundle()
                                         throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SystemObject`
  Gets the Policy PropertyBundle. Returns null if no policies are specified.

  Returns:
    Policy PropertyBundle for the object
  Throws:
    `IfsException` - if operation fails
  (Published)

### putPolicy

    public void putPolicy(Policy policy)
                   throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SystemObject`
  Adds a Policy to this object's POLICYBUNDLE PropertyBundle. If POLICYBUNDLE is null, throw an exception.

  Parameters:
    `policy` - the Policy to add
  Throws:
    `IfsException` - if operation fails
  (Published)

### removePolicy

    public void removePolicy(java.lang.String opname)
                      throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SystemObject`
  Removes a Policy from this object's POLICYBUNDLE PropertyBundle. This does not create a "dedicated" PropertyBundle if there is not one defined already..

  Parameters:
    `opname` - the operation name of the policy to remove
  Throws:
    `IfsException` - if operation fails
  (Published)

### removePolicy

    public void removePolicy(Policy policy)
                      throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SystemObject`
  Removes a Policy from this object's POLICYBUNDLE PropertyBundle. This does not create a "dedicated" PropertyBundle if there is not one defined already.

  Parameters:
    `policy` - the policy to remove
  Throws:
    `IfsException` - if operation fails
  (Published)

### removeAllPolicies

    public void removeAllPolicies()
                           throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SystemObject`
  Removes all Policies from this object's POLICYYBUNDLE PropertyBundle, leaving an empty PropertyBundle.

  This does not create a "dedicated" PropertyBundle if there is not one defined already.

  Throws:
    `IfsException` - if operation fails
  (Published)

### addCategory

    public SystemCategory addCategory(SystemCategoryDefinition catdef)
                               throws IfsException

  Description copied from class: `SystemObject`
  Adds a SystemCategory associated with this SystemObject

  Parameters:
    `catdef` - the definition that describes the new Category that will be associated with this SystemObject.
  Returns:
    the newly created SystemCategory
  Throws:
    `IfsException` - if operation fails
  (Published)

### freeCategories

    protected void freeCategories()
                           throws IfsException

  Description copied from class: `SystemObject`
  Free all existing categories.

  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getCategories

    public SystemCategory[] getCategories(SortSpecification sort)
                                   throws IfsException

  Description copied from class: `SystemObject`
  Returns the associated SystemCategory objects. Returns null if no SystemCategory objects are associated.

  Parameters:
    `sort` - the specification of how the returned SystemCategory objects will be sorted.
  Returns:
    array of SystemCategory objects associated with the target object.
  Throws:
    `IfsException` - if operation fails
  (Published)

### getCategories

    public SystemCategory[] getCategories(ClassObject classobj)
                                   throws IfsException

  Description copied from class: `SystemObject`
  Returns the associated SystemCategory objects that are instances of the ClassObject (or one of its subclasses) specified. Returns null if no SystemCategory objects are associated.

  Parameters:
    `classobj` - the class of SystemCategory
  Returns:
    array of SystemCategory objects associated with the target object.
  Throws:
    `IfsException` - if operation fails
  (Published)

### getCategories

    public SystemCategory[] getCategories(ClassObject classobj,
                                          SortSpecification sort)
                                   throws IfsException

  Description copied from class: `SystemObject`
  Returns the associated SystemCategory objects that are instances of the specified class or a subclass of the specified class. If a null ClassObject is specified, all SystemCategories will be returned. Returns null if no SystemCategory objects are associated.

  Parameters:
    `classobj` - the class of SystemCategory
    `sort` - the specification of how the returned SystemCategory objects will be sorted.
  Returns:
    array of SystemCategory objects associated with the target object
  Throws:
    `IfsException` - if operation fails
  (Published)

### getCategories

    public SystemCategory[] getCategories()
                                   throws IfsException

  Description copied from class: `SystemObject`
  Returns an array of Systemcategories for this systemObject.

  Returns:
    array of categories for this object
  Throws:
    `IfsException` - if operation fails
  (Published)

### constructSystemObjectVector

    protected static java.util.Vector constructSystemObjectVector(LibrarySession sess,
                                                                  java.util.Vector vector)
                                                           throws IfsException

  Description copied from class: `SystemObject`
  Return SystemObject Vector from a Vector of SystemObject

  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### constructSystemObject

    protected static SystemObject constructSystemObject(LibrarySession sess,
                                                        S_LibraryObjectData data)
                                                 throws IfsException

  Description copied from class: `SystemObject`
  return SystemObject from a S_LOData.

  Throws:
    `IfsException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD